Bug 222420 - English is shows as square box, while run in Punjabi locale
English is shows as square box, while run in Punjabi locale
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-12 06:23 EST by Amanpreet Singh Brar Alamwalia
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-17 07:56:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot for issue (196.85 KB, image/png)
2007-01-12 06:23 EST, Amanpreet Singh Brar Alamwalia
no flags Details
Font information (548 bytes, application/octet-stream)
2007-01-12 06:51 EST, Amanpreet Singh Brar Alamwalia
no flags Details
some errors at terminal may be useful for you (494 bytes, application/octet-stream)
2007-01-12 06:52 EST, Amanpreet Singh Brar Alamwalia
no flags Details

  None (edit)
Description Amanpreet Singh Brar Alamwalia 2007-01-12 06:23:00 EST
Description of problem:
after updating my machine, openoffice is showing Square instead of English
character, (using Punjabi Envirnment), but Punjabi Characters are shown properly

Version-Release number of selected component (if applicable):
openoffice.org-core-2.1.0-6.11

How reproducible:
Everytime during running Openoffice.org

Steps to Reproduce:
1. update openoffice with latest package
2. use Punjabi envirnment for run oowriter
3.
  
Actual results:
English characters are shown as white square, typing also show square box

Expected results:
English character should shown


Additional info:
after removing .openoffice.org2.0 folder, nothing changed. attching screenshot
Comment 1 Amanpreet Singh Brar Alamwalia 2007-01-12 06:23:01 EST
Created attachment 145450 [details]
Screenshot for issue
Comment 2 Caolan McNamara 2007-01-12 06:31:13 EST
Quite unusual, can you attach the output of

"rpm -qa | grep fonts"

please, I wonder if 2.1.0-6.12 will make a difference
Comment 3 Amanpreet Singh Brar Alamwalia 2007-01-12 06:51:13 EST
Created attachment 145451 [details]
Font information
Comment 4 Amanpreet Singh Brar Alamwalia 2007-01-12 06:52:12 EST
Created attachment 145452 [details]
some errors at terminal may be useful for you
Comment 5 Caolan McNamara 2007-01-12 06:57:59 EST
the pango errors are from the recent pango upgrade, upgrading again to the later
version is likely to get rid of those, or manually run 

pango-querymodules-32 > /etc/pango/i686-redhat-linux-gnu/pango.modules

I doubt that'll affect this problem though, not that I see it myself yet
Comment 6 Amanpreet Singh Brar Alamwalia 2007-01-16 04:42:06 EST
ok, 1 more addition,
today I run oowriter in English interface, then Lohit and Saab Punjabi font is
not selection list (where I used to select font for my language)
in English Interface, Punjabi is shown although no font can selected from
FOntName combo box.

Comment 7 Caolan McNamara 2007-01-16 06:20:01 EST
I see the problem, the font is DejaVu Sans, but that has two plausible english
names of DejaVu Sans and DejaVu LGC Sans and the fontconfig result under punjabi
of "DejaVu LGC Sans" for missing glyphs is not the same as the first english
name given when listing the fonts, so we need to map them to a canonical handle.

How does this look under RHEL-5, are we ok there ?
Comment 8 Amanpreet Singh Brar Alamwalia 2007-01-16 06:31:25 EST
RHEL5 is fine, having no issue like this, not sure whether you want to know
something else:(
Comment 9 Caolan McNamara 2007-01-16 08:18:50 EST
good, that's fine. Will be in next rawhide respin
Comment 10 Amanpreet Singh Brar Alamwalia 2007-01-17 07:56:22 EST
issue is fixed in following version:
openoffice.org-core-2.1.0-6.13

thanks

Note You need to log in before you can comment on or make changes to this bug.